package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkCouponSkuRemoveRequest struct {
	/*
	   请求     */
	ParamCouponTemplateItemRequest *domain.AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest `json:"param_coupon_template_item_request,omitempty" required:"false" `
}

func (s *AlibabaWdkCouponSkuRemoveRequest) SetParamCouponTemplateItemRequest(v domain.AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest) *AlibabaWdkCouponSkuRemoveRequest {
	s.ParamCouponTemplateItemRequest = &v
	return s
}

func (req *AlibabaWdkCouponSkuRemoveRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamCouponTemplateItemRequest != nil {
		paramMap["param_coupon_template_item_request"] = util.ConvertStruct(*req.ParamCouponTemplateItemRequest)
	}
	return paramMap
}

func (req *AlibabaWdkCouponSkuRemoveRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
